Bug 1663390 - [ALL LANG][RHSM CLI] Unlocalized messages in addons module.
Summary: [ALL LANG][RHSM CLI] Unlocalized messages in addons module.
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: subscription-manager
Version: 8.0
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: rc
: ---
Assignee: candlepin-bugs
QA Contact: Red Hat subscription-manager QE Team
URL:
Whiteboard:
Depends On: 1682763
Blocks: 1805618
TreeView+ depends on / blocked
 
Reported: 2019-01-04 07:38 UTC by Lijun Li
Modified: 2021-02-01 07:31 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1805618 (view as bug list)
Environment:
Last Closed: 2021-02-01 07:31:36 UTC
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github candlepin subscription-manager pull 1898 0 None closed Sync the syspurpose on runs of each relevant command 2020-12-02 06:56:11 UTC

Description Lijun Li 2019-01-04 07:38:48 UTC
Description of problem:
[ALL LANG][RHSM CLI] Unlocalized messages in addons module.

Version-Release number of selected component (if applicable):
subscription-manager-1.23.8-11.el8.x86_64.rpm

How reproducible:
100%

Steps to Reproduce:
1. Install latest rhel8 workstation build.
2. Run rhsm cli from terminal.

Actual results:
# subscription-manager addons -h
使用:subscription-manager addons [选项]

修改或查看系统目的的插件属性

选项:
  -h, --help            显示此帮助信息并退出
  --proxy=PROXY_URL     代理服务器 URL 的格式为 proxy_hostname:proxy_port
  --proxyuser=PROXY_USER
                        使用基本验证的 HTTP 代理服务器的用户
  --proxypassword=PROXY_PASSWORD
                        使用基本验证的 HTTP 代理服务器的密码
  --noproxy=NO_PROXY    跳过 HTTP 代理的主机后缀

  --unset               Unset addons of system purpose
  --add=TO_ADD          Add an item to the list (addons).
  --remove=TO_REMOVE    Remove an item from the list (addons).
                        ^^^^^^^^^^^^^^Unlocalized messages.

# subscription-manager addons
Addons not set.
^^^^^^^^^^^^^^^Unlocalized messages.

Expected results:
They should be localized.

Additional info:

Comment 1 Lijun Li 2019-07-01 03:39:53 UTC
This is also reproduced on latest rhel7.7 snapshot build.

Comment 2 Lijun Li 2019-10-15 06:48:48 UTC
Reproduced on latest rhel8.1 build.
# subscription-manager addons -h
使用:subscription-manager addons [选项]

Modify or view the addons attribute of the system purpose
^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^Unlocalized messages.

选项:
  -h, --help            显示此帮助信息并退出
  --proxy=PROXY_URL     代理服务器 URL 的格式为 proxy_hostname:proxy_port
  --proxyuser=PROXY_USER
                        使用基本验证的 HTTP 代理服务器的用户
  --proxypassword=PROXY_PASSWORD
                        使用基本验证的 HTTP 代理服务器的密码
  --noproxy=NO_PROXY    跳过 HTTP 代理的主机后缀
  --unset               Unset addons of system purpose
^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^Unlocalized messages.
  --add=TO_ADD          Add an item to the list (addons).
^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^Unlocalized messages.
  --remove=TO_REMOVE    Remove an item from the list (addons).
^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^Unlocalized messages.
# subscription-manager addons
Addons not set.
^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^Unlocalized messages.
# subscription-manager addons --add=test
addons updated.
^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^Unlocalized messages.
# subscription-manager addons --remove=test
Addons updated.
^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^Unlocalized messages.
# subscription-manager addons --unset
addons unset.
^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^Unlocalized messages.

Comment 6 John Sefler 2020-08-17 19:14:04 UTC
Testing with version...

[root@hpe-dl380pgen8-02-vm-15 ~]# rpm -q subscription-manager
subscription-manager-1.27.13-1.el8.x86_64
[root@hpe-dl380pgen8-02-vm-15 ~]# rpm -q subscription-manager --changelog | grep 1663390
- 1663116: 1663390: 1663402: 1663408: Update translations (wpoteat@redhat.com)


[root@hpe-dl380pgen8-02-vm-15 ~]# LANG=zh_CN.utf-8 subscription-manager addons --h
使用:subscription-manager addons [选项]

修改或查看系统目的的插件属性                                     <======== PASSED

选项:
  -h, --help            显示此帮助信息并退出
  --proxy=PROXY_URL     代理服务器 URL 的格式为 proxy_hostname:proxy_port
  --proxyuser=PROXY_USER
                        使用基本验证的 HTTP 代理服务器的用户
  --proxypassword=PROXY_PASSWORD
                        使用基本验证的 HTTP 代理服务器的密码
  --noproxy=NO_PROXY    跳过 HTTP 代理的主机后缀
  --username=USERNAME   在服务器中进行验证时使用的用户名
  --password=PASSWORD   在服务器中进行验证时使用的密码
  --token=TOKEN         在服务器中进行验证时使用的令牌
  --org=ORG_KEY         指定机构
  --unset               unset addons of system purpose          <====== FAILEDQA - CHANGED STRING (Set => set)
  --add=TO_ADD          add an item to the list (addons).       <====== FAILEDQA - CHANGED STRING (Add => add)
  --remove=TO_REMOVE    remove an item from the list (addons).  <====== FAILEDQA - CHANGED STRING (Remove => remove)
  --show                how this system's current addons        <====== FAILEDQA - NEW UNTRANSLATED STRING
  --list                list all addons available               <====== FAILEDQA - NEW UNTRANSLATED STRING

[root@hpe-dl380pgen8-02-vm-15 ~]# LANG=zh_CN.utf-8 subscription-manager addons
Addons 未设置。                                                  <======== PASSED

[root@hpe-dl380pgen8-02-vm-15 ~]# LANG=zh_CN.utf-8 subscription-manager addons --add=test
addons 已更新。                                                  <======== PASSED

[root@hpe-dl380pgen8-02-vm-15 ~]# LANG=zh_CN.utf-8 subscription-manager addons --remove=test
Addons 已更新。                                                  <======== PASSED

[root@hpe-dl380pgen8-02-vm-15 ~]# LANG=zh_CN.utf-8 subscription-manager addons --unset
addons 取消设置。                                                <======== PASSED



Moving back to NEW/FailedQA

Comment 7 John Sefler 2020-08-17 20:05:02 UTC
Also note the typo in the msgstr...

[root@hpe-dl380pgen8-02-vm-15 ~]# subscription-manager addons -h | grep "this system's current"
  --show                how this system's current addons
                        ^^^
                        FAILEDQA - EXPECTED "show"

Comment 9 Lijun Li 2020-09-07 08:14:08 UTC
Reproduced on latest rhel8.3 build.

[root@localhost ~]# subscription-manager addons -h
使用:8 addons [选项]

修改或查看系统目的的插件属性

选项:
  -h, --help            显示此帮助信息并退出
  --proxy=PROXY_URL     代理服务器 URL 的格式为 proxy_hostname:proxy_port
  --proxyuser=PROXY_USER
                        使用基本验证的 HTTP 代理服务器的用户
  --proxypassword=PROXY_PASSWORD
                        使用基本验证的 HTTP 代理服务器的密码
  --noproxy=NO_PROXY    跳过 HTTP 代理的主机后缀
  --username=USERNAME   在服务器中进行验证时使用的用户名
  --password=PASSWORD   在服务器中进行验证时使用的密码
  --token=TOKEN         在服务器中进行验证时使用的令牌
  --org=ORG_KEY         指定机构
  --unset               unset addons of system purpose               <====== FAILEDQA
  --add=TO_ADD          add an item to the list (addons).               <====== FAILEDQA
  --remove=TO_REMOVE    remove an item from the list (addons).               <====== FAILEDQA
  --show                how this system's current addons               <====== FAILEDQA
  --list                list all addons available               <====== FAILEDQA
[root@localhost ~]# subscription-manager addons --show
Current Addons: test               <====== FAILEDQA
[root@localhost ~]# subscription-manager addons
Current Addons: test               <====== FAILEDQA
[root@localhost ~]# rpm -q subscription-manager
subscription-manager-1.27.15-1.el8.x86_64

Comment 14 RHEL Program Management 2021-02-01 07:31:36 UTC
After evaluating this issue, there are no plans to address it further or fix it in an upcoming release.  Therefore, it is being closed.  If plans change such that this issue will be fixed in an upcoming release, then the bug can be reopened.


Note You need to log in before you can comment on or make changes to this bug.